Subject: Re: bug#36849: 26.2; Misleading info in Gnus info about nndiary

From: Allen Li <[email-masked]>
Date: Fri, 27 Sep 2019 08:48:06 +0000

On Sat, Sep 14, 2019 at 3:51 PM Lars Ingebrigtsen <[email-masked]> wrote:
>
> Allen Li <[email-masked]> writes:
>
> > The Gnus Info manual about nndiary says this:
> >
> > (info "(gnus)Sending or Not Sending")
> >
> >    • However, since ‘nndiary’ also has a ‘request-post’ method, you can
> >      also use ‘C-u a’ instead of ‘C-u m’ on a diary group and the
> >      message won’t actually be sent; just stored locally in the group.
> >      This comes in very handy for private appointments.
> >
> > This is misleading because the "a" key for nndiary defaults to composing
> > mail (I guess because nndiary is a mail backend).  This results in a
> > message that is sent, which would be undesirable for a new user who may
> > accidently mail something private.
>
> I've never used nndiary before, so I'm not sure I'm doing it right.
>
> If I
>
> `G m diary RET nndiary RET'
>
> then I get an nndiary group, and as you say, `C-u a' opens a message
> mode buffer, and if I put something in the To header, the message is
> sent to that recipient.  So the documentation here is wrong -- or
> there's a bug, and `C-u a' is supposed to not send anything.

Yeah.  Fixing the documentation is the most expedient.  I can't say
whether the current `C-u a' behavior is a bug per se.

>
> > Instead, one must use the "S i" key to force composing a news post in
> > order to 'request-post' to the nndiary group.
>
> Hm.  The "S i" key?  That's not bound in my Group buffer.

Right, that's only bound in the Summary buffer.  I don't think there's
a way to force posting instead of mailing from the Group buffer.

>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no